import numpy as np
from sklearn.model_selection import train_test_split

D = np.loadtxt( "datosNor.txt" )
X = D[:,0:2]
y = D[:,2]

# El modelo de la red
vw1 = np.array( [-24.12957958, -1.36912346] )
w2 = 21.43085898

sesgo1 = 1.02431672
sesgo2 = 0.83060419

def evalua ( x ) :
	v1 = np.dot( x, vw1 ) + sesgo1 
	v2 = np.tanh( v1 )
	v3 = w2 * v2 + sesgo2

	# La función logística está a la salida
	return 1/(1+np.exp(-v3))


X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=2 )

n, m = X_prueba.shape

i=0
while i<n :
	v = evalua( X_prueba[i] )
	if v <= 0.5 :
		s = 0
	else :
		s = 1
	print( i, s, y_prueba[i] )
	i +=1	
